# 2023-028

**SpinPerfom – A low-cost cricket spin bowling performance analysis model**


**Individual component**

To detect accurately that a part of spinner’s foot is always behind the crease (for the bowler to avoid putting a no ball)

**Main objectives** 

Detect whether any part of the front foot is behind the bowling crease to determine the delivery is not a no ball or a legal ball.

**Specific objectives**

To implement whether any part of the front foot is behind the bowling crease to determine the delivery is not a no ball. There are 
three main approaches. Below show what the objectives need when using all the approaches.

•	*Collect data*

For the model training purpose, it is required to collect the data. In this individual component two of the following scenarios 
will be considered.
                • Moment where any part of the front foot is behind the bowling crease.(legal ball)
                • Moment where any part of the front foot is not behind the bowling crease.(no ball)
    
•	*Preprocessing of the data set*

Collect the footages of the players during their practice session and extract the frame.
Refine the images and organize them into two different folders one as no ball and other as legal ball.

•	*Model training and testing*

To detect whether a ball is a no ball or a legal ball using machine learning, do a comparison 
between Convolutional Neural Network (CNN) model , pretrained model MobileNetV3 and pretrained model ResNet50V2.
It can experiment with all three architectures and evaluate their performance on the dataset to select 
the best model for the goal of detecting no balls, and then provide the best model.

Get the training and accuracy and the accuracy after evaluation.

Test the implementation using a test image.

